## WebKitDOMHTMLFieldSetElement WebKitDOMHTMLFieldSetElement |

## Functions

WebKitDOMHTMLFormElement * | webkit_dom_html_field_set_element_get_form ()

## Properties

gboolean | disabled | Read / Write
WebKitDOMHTMLCollection * | elements | Read
WebKitDOMHTMLFormElement * | form | Read
gchar * | name | Read / Write
gchar * | type | Read
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
gboolean | will-validate | Read

## Types and Values

| WebKitDOMHTMLFieldSetElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLFieldSetElement

## Implemented Interfaces

WebKitDOMHTMLFieldSetElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_field_set_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_field_set_element_get_form
                                   (WebKitDOMHTMLFieldSetElement *self);

#### Parameters

self | A WebKitDOMHTMLFieldSetElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

## Types and Values

### WebKitDOMHTMLFieldSetElement

    typedef struct _WebKitDOMHTMLFieldSetElement WebKitDOMHTMLFieldSetElement;

## Property Details

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLFieldSetElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“elements”` property

      “elements”                 WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLFieldSetElement:elements.

Flags: Read

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLFieldSetElement:form.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLFieldSetElement:name.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-only gchar* HTMLFieldSetElement:type.

Flags: Read

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLFieldSetElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLFieldSetElement:validity.

Flags: Read

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLFieldSetElement:will-validate.

Flags: Read

Default value: FALSE